USE BOL2;
GO
CREATE SCHEMA help AUTHORIZATION dbo;
GO

-- Create default fulltext catalog for later FT indexes
CREATE FULLTEXT CATALOG FTC AS DEFAULT;
GO

CREATE TABLE help.filesFS(
	file_id int not null IDENTITY(1, 1)		CONSTRAINT PK_help_files PRIMARY KEY,
    path varchar(256) not null				CONSTRAINT UNQ_help_files_path UNIQUE,
    doc_type varchar(6)						DEFAULT('.xml'),
    content varbinary(max)					FILESTREAM not null,
	rguid	uniqueidentifier				UNIQUE ROWGUIDCOL not null	DEFAULT NEWID()
);

CREATE FULLTEXT INDEX ON help.filesFS(content TYPE COLUMN doc_type LANGUAGE 1033) 
    KEY INDEX PK_help_files;